Migrate Projects - Get Migrate Project

Method to get a migrate project.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Migrate/migrateProjects/{migrateProjectName}?api-version=2018-09-01-preview

URI Parameters

Name In Required Type Description
migrateProjectName
path True

string

Name of the Azure Migrate project.

resourceGroupName
path True

string

Name of the Azure Resource Group that migrate project is part of.

subscriptionId
path True

string

Azure Subscription Id in which migrate project was created.

api-version
query True

string

Standard request header. Used by service to identify API version used by client.

Responses

Name Type Description
200 OK

MigrateProject

OK

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

MigrateProjects_Get

Sample request

GET https://management.azure.com/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/migrateProjects/project01?api-version=2018-09-01-preview

Sample response

{
  "eTag": "\"1c0018c7-0000-0000-0000-5c936e530000\"",
  "location": "",
  "properties": {
    "registeredTools": [
      "ServerMigration"
    ],
    "summary": {
      "servers": {
        "instanceType": "Servers",
        "discoveredCount": 0,
        "assessedCount": 0,
        "replicatingCount": 0,
        "testMigratedCount": 0,
        "migratedCount": 0,
        "refreshSummaryState": "Completed",
        "lastSummaryRefreshedTime": "2019-05-27T12:01:18.6070869Z",
        "extendedSummary": {
          "microsoftDiscoveredCount": "0"
        }
      },
      "databases": {
        "instanceType": "Databases",
        "refreshSummaryState": "Completed",
        "lastSummaryRefreshedTime": "2019-05-27T12:01:18.6070869Z",
        "extendedSummary": {}
      }
    },
    "lastSummaryRefreshedTime": "2019-05-27T12:01:18.6070869Z",
    "refreshSummaryState": "Completed"
  },
  "id": "/subscriptions/75dd7e42-4fd1-4512-af04-83ad9864335b/resourceGroups/myResourceGroup/providers/Microsoft.Migrate/MigrateProjects/project01",
  "name": "project01",
  "type": "Microsoft.Migrate/MigrateProjects"
}

Definitions

Name Description
DatabaseProjectSummary

The database project summary class.

MigrateProject

Migrate Project REST Resource.

MigrateProjectProperties

Class for migrate project properties.

ProvisioningState

Provisioning state of the migrate project.

RegisteredTools

Gets or sets the list of tools registered with the migrate project.

ServersProjectSummary

Class representing the servers project summary.

Tags

Gets or sets the tags.

DatabaseProjectSummary

The database project summary class.

Name Type Description
extendedSummary

object

Gets or sets the extended summary.

instanceType string:

Databases

Gets the Instance type.

lastSummaryRefreshedTime

string (date-time)

Gets or sets the time when summary was last refreshed.

refreshSummaryState enum:
  • Completed
  • Failed
  • InProgress
  • Started

Gets or sets the state of refresh summary.

MigrateProject

Migrate Project REST Resource.

Name Type Description
eTag

string

Gets or sets the eTag for concurrency control.

id

string

Gets the relative URL to get this migrate project.

location

string

Gets or sets the Azure location in which migrate project is created.

name

string

Gets the name of the migrate project.

properties

MigrateProjectProperties

Gets or sets the nested properties.

tags

Tags

Gets or sets the tags.

type

string

Handled by resource provider. Type = Microsoft.Migrate/MigrateProject.

MigrateProjectProperties

Class for migrate project properties.

Name Type Description
lastSummaryRefreshedTime

string (date-time)

Gets the last time the project summary was refreshed.

provisioningState

ProvisioningState

Provisioning state of the migrate project.

refreshSummaryState enum:
  • Completed
  • Failed
  • InProgress
  • Started

Gets the refresh summary state.

registeredTools

RegisteredTools[]

Gets or sets the list of tools registered with the migrate project.

summary

object

Gets the summary of the migrate project.

ProvisioningState

Provisioning state of the migrate project.

Value Description
Accepted
Creating
Deleting
Failed
Moving
Succeeded

RegisteredTools

Gets or sets the list of tools registered with the migrate project.

Value Description
ServerDiscovery
ServerAssessment
ServerMigration
Cloudamize
Turbonomic
Zerto
CorentTech
ServerAssessmentV1
ServerMigration_Replication
Carbonite
DataMigrationAssistant
DatabaseMigrationService

ServersProjectSummary

Class representing the servers project summary.

Name Type Description
assessedCount

integer (int32)

Gets or sets the count of entities assessed.

discoveredCount

integer (int32)

Gets or sets the count of entities discovered.

extendedSummary

object

Gets or sets the extended summary.

instanceType string:

Servers

Gets the Instance type.

lastSummaryRefreshedTime

string (date-time)

Gets or sets the time when summary was last refreshed.

migratedCount

integer (int32)

Gets or sets the count of entities migrated.

refreshSummaryState enum:
  • Completed
  • Failed
  • InProgress
  • Started

Gets or sets the state of refresh summary.

replicatingCount

integer (int32)

Gets or sets the count of entities being replicated.

testMigratedCount

integer (int32)

Gets or sets the count of entities test migrated.

Tags

Gets or sets the tags.

Name Type Description
additionalProperties

string